# Entry
Date: 2013-02-18

## org.simpleframework.xml.util
Interface Entry

    public interface Entry

The `Entry` object represents entries to the dictionary object. Every entry must have a name attribute, which is used to establish mappings within the `Dictionary` object. Each entry entered into the dictionary can be retrieved using its name.

The entry can be serialzed with the dictionary to an XML document. Items stored within the dictionary need to extend this entry object to ensure that they can be mapped and serialized with the dictionary. Implementations should override the root annotation.

Author:
  Niall Gallagher

Method Summary
`java.lang.String` `getName()` Represents the name of the entry instance used for mappings.

Method Detail

### getName

    java.lang.String getName()

  Represents the name of the entry instance used for mappings. This will be used to map the object to the internal map in the `Dictionary`. This allows serialized objects to be added to the dictionary transparently.

  Returns:
    this returns the name of the entry that is used